Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453031 - Open pipes left by mod_auth_pam authentication
Summary: Open pipes left by mod_auth_pam authentication
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_auth_pam
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ignacio Vazquez-Abrams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 19:17 UTC by Steve Tate
Modified: 2009-07-14 15:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:25:21 UTC


Attachments (Terms of Use)

Description Steve Tate 2008-06-26 19:17:33 UTC
Description of problem:

mod_auth_pam doesn't close pipe after checking auth information.  The result is
that there are many, many open filehandles corresponding to these pipes.  I
noticed this using mod_auth_pam with mod_dav_svn for a subversion repository,
and when checking out a large repository (lots of authenticated requests) I
would get "Too many open files" in the ssl_error_log - this was due to around a
thousand open pipes in the apache process.   I started tracking this down and
got as far as discovering that the problem was in mod_auth_pam, but then decided
to fix my problem by switching to use mod_auth_kerb (since that's what it was
really doing on my system anyway).  Everything works fine for me now, but
mod_auth_pam should be fixed.  I think it's a pipe opened up to
/sbin/unix_chkpwd that's being left open after that process exits, but I'm not
100% certain of that.


Version-Release number of selected component (if applicable):

Version 1.1.1-5.fc9


How reproducible:


Steps to Reproduce:
1.  Set up a subversion repository using mod_dav_svn with AuthPAM
2.  Browse the repository (can use browser, cadaver, check out with svn, ...)
3.  Notice the number of open file handles left in the apache process
  
Actual results:

After browsing a while, hundreds of filehandles will be left open


Expected results:

filehandles should be closed after use!


Additional info:

Comment 1 Rex Dieter 2008-06-26 19:35:53 UTC
Upstream should be made aware of this:
http://sourceforge.net/projects/pam
I don't see any open bugs on this topic.

Comment 2 Bug Zapper 2009-06-10 01:48:17 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 15:25:21 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.